package RoutingMatrix;
import com.cycling74.max.*;
public class OutConnectionLibrary extends DSPInstruction{

	
	int out;
	Connection[] connections;
	
	public OutConnectionLibrary(int out, Connection[] connections)
	{
		super(CONNECTIONS);
		this.out =out;
		this.connections= connections;
	}

	public int getOut() {
		return out;
	}

	public void setOut(int out) {
		this.out = out;
	}

	public Connection[] getConnections() {
		return connections;
	}

	public void setConnections(Connection[] connections) {
		this.connections = connections;
	}
	
	
	public void post(String s)
	{
		MaxObject.post("OutConnectionLibrary:"+s+"---     out:"+out);
		for(int i = 0 ; i < connections.length;i++)
		{
			connections[i].post(s+": "+i);
		}
	}
	
	
	
	
	
}
